public static final class UpdateZnodeRequest.Builder extends Object
| 限定符和类型 | 方法和说明 |
|---|---|
UpdateZnodeRequest.Builder |
acceptLanguage(String acceptLanguage)
The language of the response.
|
UpdateZnodeRequest |
build() |
UpdateZnodeRequest.Builder |
clusterId(String clusterId)
The ID of the instance.
|
UpdateZnodeRequest.Builder |
data(String data)
The data of the node.
|
UpdateZnodeRequest.Builder |
path(String path)
The path of the node.
|
UpdateZnodeRequest.Builder |
requestPars(String requestPars)
The extended request parameters in the JSON format.
|
public UpdateZnodeRequest.Builder acceptLanguage(String acceptLanguage)
The language of the response. Valid values:
zh
public UpdateZnodeRequest.Builder clusterId(String clusterId)
The ID of the instance.
This parameter is required.
example:mse-09k1q11****
public UpdateZnodeRequest.Builder data(String data)
The data of the node.
This parameter is required.
example:data
public UpdateZnodeRequest.Builder path(String path)
The path of the node.
This parameter is required.
example:/zookeeper
public UpdateZnodeRequest.Builder requestPars(String requestPars)
The extended request parameters in the JSON format.
example:{}
public UpdateZnodeRequest build()
Copyright © 2026. All rights reserved.